Subject: Re: [bitcoin-dev]Silent Payments – Non-interactive private payments with no on-chain overhead

From: alicexbt <[email-masked]>
Date: Tue, 24 May 2022 13:49:34 +0000

Hi woltx,

Thanks for implementing silent payments in Bitcoin Core. I tried the steps shared in tutorial and everything works as expected.

I have updated the silent payment address (signet) as TXT record for domain alice.silentbitco.in

$ dig -t txt alice.silentbitco.in +short
"tb1px3kma8e8y8z9l7e640v0x2chzrzww9cu06mqvwyrz805ffletu3s067sgh"

I have also added basic information about silent payments proposal, implementation and tutorial on https://silentbitco.in

I had no issues with performance of the UTXO Set and the blocks scan. I don't mind using flag but a new address/descriptor format should be a better approach. I could not review the code in detail or test edge cases however these suggestions by Pavol Rusnak make sense: https://gist.github.com/RubenSomsen/c43b79517e7cb701ebf77eec6dbb46b8?permalink_comment_id=4177027#gistcomment-4177027

/dev/fd0

Sent with [ProtonMail](https://protonmail.com/) secure email.

------- Original Message -------
On Tuesday, May 24th, 2022 at 7:01 AM, woltx via bitcoin-dev <[email-masked]> wrote:

> I created a short and simple tutorial on how to make silent payments on signet.
> https://gist.github.com/w0xlt/72390ded95dd797594f80baba5d2e6ee
> In this tutorial, the user will generate an address, publish it, receive and spend coins from it and still no transactions are shown from this address in a blockchain explorer.